Package org.apache.commons.math3.fraction

# Class BigFractionField

java.lang.Object
org.apache.commons.math3.fraction.BigFractionField

All Implemented Interfaces:
  `Serializable`, `Field<BigFraction>`

public class BigFractionField extends Object implements Field<BigFraction>, Serializable
Representation of the fractional numbers without any overflow field.

This class is a singleton.

Since:
  2.0
See Also:
  - `Fraction`
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`static BigFractionField`
`getInstance()`
Get the unique instance.
`BigFraction`
`getOne()`
Get the multiplicative identity of the field.
`Class<? extends FieldElement<BigFraction>>`
`getRuntimeClass()`
Returns the runtime class of the FieldElement.
`BigFraction`
`getZero()`
Get the additive identity of the field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static BigFractionField getInstance()
Get the unique instance.

Returns:
  the unique instance

### getOne

public BigFraction getOne()
Get the multiplicative identity of the field.

The multiplicative identity is the element e1 of the field such that for all elements a of the field, the equalities a × e1 = e1 × a = a hold.

Specified by:
  `getOne` in interface `Field<BigFraction>`
Returns:
  multiplicative identity of the field

### getZero

public BigFraction getZero()
Get the additive identity of the field.

The additive identity is the element e0 of the field such that for all elements a of the field, the equalities a + e0 = e0 + a = a hold.

Specified by:
  `getZero` in interface `Field<BigFraction>`
Returns:
  additive identity of the field

### getRuntimeClass

public Class<? extends FieldElement<BigFraction>> getRuntimeClass()
Returns the runtime class of the FieldElement.

Specified by:
  `getRuntimeClass` in interface `Field<BigFraction>`
Returns:
  The `Class` object that represents the runtime class of this object.